/*
 * Copyright 2011, TAUTUA
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.tautua.markdownpapers.ast;

/**
 * @author Larry Ruiz
 */
public class List extends SimpleNode {
    private int indentation = -1;

    public List(int id) {
        super(id);
    }

    public int getIndentation() {
        return indentation;
    }
    
    public void setIndentation(int indentation) {
        this.indentation = indentation;
    }

    public boolean isOrdered() {
        return ((Item)children[0]).isOrdered();
    }

    @Override
    public void accept(Visitor visitor) {
        visitor.visit(this);
    }

    @Override
    public void jjtAddChild(Node n, int i) {
        super.jjtAddChild(n, i);
        if (i < children.length - 1) {
            ((Item)children[i + 1]).setPrevious((Item)n);
        }
    }
}